Package org.eclipse.net4j.buffer

## Interface IBufferProvider.Notification.BufferProvidedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    IBufferProvider.Notification

      public static interface IBufferProvider.Notification.BufferProvidedEvent
      extends org.eclipse.net4j.util.event.IEvent

  An `event` fired from a `buffer provider` to indicate that a buffer has been provided.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IBuffer` | `getBuffer()` |
    `IBufferProvider.Notification` | `getSource()` |

- - ### Method Detail

    - #### getSource

          IBufferProvider.Notification getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### getBuffer

          IBuffer getBuffer()